Please help. after update not satrt my system

Hi
after online update my system is not start
journalctl -b


Apr 07 08:24:17 linux-Tak smartd[1067]: Device: /dev/sda [SAT], state read from /var/lib/smartmontools/smartd.ST1000LM024_HN_M101MBB-S31LJ9EDC04182.ata.state
Apr 07 08:24:17 linux-Tak smartd[1067]: Monitoring 1 ATA and 0 SCSI devices
Apr 07 08:24:17 linux-Tak sddm[1140]: /usr/bin/sddm: /usr/lib64/libQt5Core.so.5: version `Qt_5.6' not found (required by /usr/bin/sddm)
Apr 07 08:24:17 linux-Tak smartd[1067]: Device: /dev/sda [SAT], SMART Usage Attribute: 190 Airflow_Temperature_Cel changed from 70 to 69
Apr 07 08:24:17 linux-Tak sddm[1145]: /usr/bin/sddm: /usr/lib64/libQt5Core.so.5: version `Qt_5.6' not found (required by /usr/bin/sddm)
Apr 07 08:24:18 linux-Tak smartd[1067]: Device: /dev/sda [SAT], state written to /var/lib/smartmontools/smartd.ST1000LM024_HN_M101MBB-S31LJ9EDC04182.ata.state
Apr 07 08:24:18 linux-Tak kernel: ip6_tables: (C) 2000-2006 Netfilter Core Team
Apr 07 08:24:18 linux-Tak systemd[1]: sddm.service start request repeated too quickly, refusing to start.
**Apr 07 08:24:18 linux-Tak systemd[1]: Failed to start Simple Desktop Display Manager.**
Apr 07 08:24:18 linux-Tak kernel: nf_conntrack version 0.5.0 (65536 buckets, 262144 max)
Apr 07 08:24:18 linux-Tak kernel: usb 1-12: New USB device found, idVendor=0cf3, idProduct=311f
Apr 07 08:24:18 linux-Tak kernel: usb 1-12: New USB device strings: Mfr=0, Product=0, SerialNumber=0
Apr 07 08:24:18 linux-Tak kernel: ip_tables: (C) 2000-2006 Netfilter Core Team
**Apr 07 08:24:18 linux-Tak bluetoothd[1110]: Failed to obtain handles for "Service Changed" characteristic**
Apr 07 08:24:18 linux-Tak kernel: Bluetooth: RFCOMM TTY layer initialized
Apr 07 08:24:18 linux-Tak kernel: Bluetooth: RFCOMM socket layer initialized

i run system with startx and checking software management but not found any for update

Post the output from:

# zypper lr -d

You probably have incompatible repos.

zypper lr -d

#  | Alias                               | Name                                    | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                                                                                   | Service
---+-------------------------------------+-----------------------------------------+---------+-----------+---------+----------+--------+---------------------------------------------------------------------------------------------------------------------------------------+--------
 1 | DVD                                 | DVD                                     | No      | ----      | No      |   99     | yast2  | iso:///?iso=openSUSE-Leap-42.1-DVD-x86_64.iso&url=dir%3A%2Frun%2Fmedia%2Fthink_alone%2Fshow_other%2FopenSUSE-Leap-42.1-DVD-x86_64.iso |        
 2 | Frameworks5                         | Frameworks5                             | Yes     | (r ) Yes  | No      |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_Leap_42.1/                                                        |        
 3 | extera                              | extera                                  | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_42.1/                                                              |        
 4 | fremworks5:gwdg                     | fremworks5:gwdg                         | No      | ----      | No      |   99     | rpm-md | ftp://ftp5.gwdg.de/pub/opensuse/repositories/KDE:/Frameworks5/openSUSE_Leap_42.1                                                      |        
 5 | gmome                               | gmome                                   | No      | ----      | No      |   99     | rpm-md | http://download.opensuse.org/repositories/GNOME:/Apps/openSUSE_Leap_42.1/                                                             |        
 6 | home:magist3r                       | home:magist3r                           | No      | ----      | No      |   99     | rpm-md | http://download.opensuse.org/repositories/home:/magist3r:/leap-42.1-lxqt/openSUSE_Leap_42.1/                                          |        
 7 | home:wolfi323                       | home:wolfi323                           | No      | ----      | No      |   99     | rpm-md | http://download.opensuse.org/repositories/home:/wolfi323:/branches:/KDE:/Frameworks5/openSUSE_Leap_42.1/                              |        
 8 | hpme:xof                            | Home:X0f                                | No      | ----      | No      |   99     | rpm-md | http://download.opensuse.org/repositories/home:/X0F:/HSF/openSUSE_Leap_42.1/                                                          |        
 9 | http-download.opensuse.org-1b553537 | multimedia:photo                        | No      | ----      | No      |   99     | rpm-md | http://download.opensuse.org/repositories/multimedia:/photo/openSUSE_Leap_42.1/                                                       |        
10 | http-download.opensuse.org-280b75af | home:moritzmolch:gencfsm                | No      | ----      | No      |   99     | rpm-md | http://download.opensuse.org/repositories/home:/moritzmolch:/gencfsm/openSUSE_Leap_42.1/                                              |        
11 | http-download.opensuse.org-2b0b8466 | home:Vogtinator                         | No      | ----      | No      |   99     | rpm-md | http://download.opensuse.org/repositories/home:/Vogtinator/openSUSE_Leap_42.1/                                                        |        
12 | http-download.opensuse.org-59a7dd73 | home:mrbadguy                           | No      | ----      | No      |   99     | rpm-md | http://download.opensuse.org/repositories/home:/mrbadguy/openSUSE_Leap_42.1/                                                          |        
13 | http-download.opensuse.org-64fa2128 | home:dmacvicar                          | No      | ----      | No      |   99     | rpm-md | http://download.opensuse.org/repositories/home:/dmacvicar/openSUSE_Leap_42.1/                                                         |        
14 | http-download.opensuse.org-6863e954 | home:sbrabec                            | No      | ----      | No      |   99     | rpm-md | http://download.opensuse.org/repositories/home:/sbrabec/openSUSE_Leap_42.1/                                                           |        
15 | http-download.opensuse.org-6a540f36 | home:magist3r:bootdisk-next             | No      | ----      | No      |   99     | rpm-md | http://download.opensuse.org/repositories/home:/magist3r:/bootdisk-next/openSUSE_Leap_42.1/                                           |        
16 | http-download.opensuse.org-6e5cf5e7 | home:ecsos                              | No      | ----      | No      |   99     | rpm-md | http://download.opensuse.org/repositories/home:/ecsos/openSUSE_Leap_42.1/                                                             |        
17 | http-download.opensuse.org-6efe46f8 | home:Khyota                             | No      | ----      | No      |   99     | rpm-md | http://download.opensuse.org/repositories/home:/Khyota/openSUSE_Leap_42.1/                                                            |        
18 | http-download.opensuse.org-7d345d14 | X11:Compiz:Compiz-0.9                   | No      | ----      | No      |   99     | rpm-md | http://download.opensuse.org/repositories/X11:/Compiz:/Compiz-0.9/openSUSE_Leap_42.1/                                                 |        
19 | http-download.opensuse.org-8a0152a6 | utilities                               | Yes     | (r ) Yes  | No      |   99     | rpm-md | http://download.opensuse.org/repositories/utilities/openSUSE_Leap_42.1/                                                               |        
20 | http-download.opensuse.org-9b2c92fd | home:Ximi1970:openSUSE:Extra            | No      | ----      | No      |   99     | rpm-md | http://download.opensuse.org/repositories/home:/Ximi1970:/openSUSE:/Extra/openSUSE_Leap_42.1/                                         |        
21 | http-download.opensuse.org-d4334e0d | home:happenpappen                       | No      | ----      | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/happenpappen/openSUSE_Leap_42.1/                                                      |        
22 | kde:app:gwdg                        | kde:app:gwdg                            | No      | ----      | No      |   99     | rpm-md | ftp://ftp5.gwdg.de/pub/opensuse/repositories/KDE:/Applications/openSUSE_Leap_42.1/                                                    |        
23 | kde:apps                            | kde:apps                                | No      | ----      | No      |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Applications/openSUSE_Leap_42.1/                                                       |        
24 | kernel:standard                     | kernel:standard                         | No      | ----      | No      |   99     | rpm-md | http://download.opensuse.org/repositories/Kernel:/openSUSE-42.1/standard/                                                             |        
25 | lang:Pascal_421                     | lang:Pascal_421                         | No      | ----      | No      |   99     | rpm-md | http://download.opensuse.org/repositories/devel:/languages:/pascal/openSUSE_Leap_42.1/                                                |        
26 | non-oss3                            | non-oss3                                | Yes     | (r ) Yes  | No      |   99     | yast2  | ftp://ftp5.gwdg.de/pub/opensuse/distribution/leap/42.1/repo/non-oss                                                                   |        
27 | non-oss_1                           | non-oss                                 | Yes     | (r ) Yes  | No      |   99     | rpm-md | ftp://ftp5.gwdg.de/pub/opensuse/update/leap/42.1/non-oss                                                                              |        
28 | oss                                 | oss                                     | Yes     | (r ) Yes  | No      |   99     | rpm-md | ftp://ftp5.gwdg.de/pub/opensuse/update/leap/42.1/oss                                                                                  |        
29 | packman                             | packman                                 | Yes     | (r ) Yes  | No      |   99     | rpm-md | http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_42.1/                                                                    |        
30 | repo-debug                          | openSUSE-Leap-42.1-Debug                | No      | ----      | No      |   99     | NONE   | http://download.opensuse.org/debug/distribution/leap/42.1/repo/oss/                                                                   |        
31 | repo-debug-non-oss                  | openSUSE-Leap-42.1-Debug-Non-Oss        | No      | ----      | No      |   99     | NONE   | http://download.opensuse.org/debug/distribution/leap/42.1/repo/non-oss/                                                               |        
32 | repo-debug-update                   | openSUSE-Leap-42.1-Update-Debug         | No      | ----      | No      |   99     | NONE   | http://download.opensuse.org/debug/update/leap/42.1/oss                                                                               |        
33 | repo-debug-update-non-oss           | openSUSE-Leap-42.1-Update-Debug-Non-Oss | No      | ----      | No      |   99     | NONE   | http://download.opensuse.org/debug/update/leap/42.1/non-oss/                                                                          |        
34 | repo-non-oss                        | openSUSE-Leap-42.1-Non-Oss              | Yes     | (r ) Yes  | No      |   99     | yast2  | http://download.opensuse.org/distribution/leap/42.1/repo/non-oss/                                                                     |        
35 | repo-oss                            | openSUSE-Leap-42.1-Oss                  | Yes     | (r ) Yes  | No      |   99     | yast2  | http://download.opensuse.org/distribution/leap/42.1/repo/oss/                                                                         |        
36 | repo-source                         | openSUSE-Leap-42.1-Source               | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/source/distribution/leap/42.1/repo/oss/                                                                  |        
37 | repo-update                         | openSUSE-Leap-42.1-Update               | Yes     | (r ) Yes  | No      |   99     | rpm-md | http://download.opensuse.org/update/leap/42.1/oss/                                                                                    |        
38 | repo-update-non-oss                 | openSUSE-Leap-42.1-Update-Non-Oss       | Yes     | (r ) Yes  | No      |   99     | rpm-md | http://download.opensuse.org/update/leap/42.1/non-oss/                                                                                |        
39 | security:forensics                  | security:forensics                      | No      | ----      | No      |   99     | rpm-md | http://download.opensuse.org/repositories/security:/forensics/openSUSE_Leap_42.1                                                      |        
40 | utiliti:gwdg                        | utiliti:gwdg                            | No      | ----      | No      |   99     | rpm-md | ftp://ftp5.gwdg.de/pub/opensuse/repositories/utilities/openSUSE_Leap_42.1                                                             |        
41 | wine                                | wine                                    | No      | ----      | No      |   99     | rpm-md | http://download.opensuse.org/repositories/Emulators:/Wine/openSUSE_Leap_42.1/                                                         |        
42 | yadt:gwdg                           | yadt:gwdg                               | No      | ----      | No      |   99     | rpm-md | ftp://ftp5.gwdg.de/pub/opensuse/repositories/YaST:/openSUSE:/42.1/openSUSE_Leap_42.1                                                  |        


for me many repos but only enable repos system for update

for me not running konsole in the startx. how to copy txt in the xterm?

I’m not seeing an obvious problem.

Yes, many repos, but most are not currently enabled.

Wolfi will probably have some comments, so maybe wait for him to show up.

Thanks for answer

for me always show error when start software management
but always and checking refresh repo extra
may be there is the problem of

  An error occurred during repository initialization.
Error refreshing service Extra (http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_42.1/):

File './repo/repoindex.xml' not found on medium 'http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_42.1/?cookies=0'



and these apps protected update


# Status             Package                        | Summary                                  | Installed (Available)     |       Size

[Protected -- Do Not Modify] MozillaFirefox                 | Mozilla Firefox Web Browser              | 42.0-3.5 (45.0-18.1)      |   98.2 MiB
[Protected -- Do Not Modify] breeze5-wallpapers             | Plasma Desktop artwork, styles and as... | 5.5.0-85.1 (5.6.1-98.1)   |   18.1 MiB
[Protected -- Do Not Modify] calibre                        | EBook Management Application             | 2.39.0-1.4 (2.49.0-14.1)  |   51.5 MiB
[Protected -- Do Not Modify] calligra                       | Libraries and Base Files for the KDE ... | 2.9.10-70.1 (2.9.11-77.25) |   27.8 MiB
[Protected -- Do Not Modify] chromium                       | Google's opens source browser project    | 48.0.2564.82-13.1 (49.0.2623.110-37.1) |  222.0 MiB
[Protected -- Do Not Modify] chromium-ffmpeg                | The ffmpeg library for Google's opens... | 48.0.2564.82-71.1 (49.0.2623.110-40.1) |    2.3 MiB
[Protected -- Do Not Modify] digikam                        | A KDE Photo Manager                      | 4.14.0-87.1 (4.14.0-113.11) |   27.0 MiB
[Protected -- Do Not Modify] digikam-libs                   | Libraries required to run digikam        | 4.14.0-87.1 (4.14.0-113.11) |   34.6 MiB
[Protected -- Do Not Modify] gtk3-lang                      | Languages for package gtk3               | 3.16.7-2.1 (3.16.7-5.1)   |   18.2 MiB
[Protected -- Do Not Modify] hugin                          | Toolchain for Stitching of Images and... | 2015.0.0-85.1 (2015.0.0-3.1) |   37.1 MiB
[Protected -- Do Not Modify] kde-cli-tools5-lang            | Languages for package kde-cli-tools5     | 5.5.1-79.1 (5.6.1-91.1)   |    2.8 MiB
[Protected -- Do Not Modify] kdeartwork4-wallpapers         | KDE wallpapers package                   | 15.04.3-3.8 (15.08.3-5.6) |   77.5 MiB
[Protected -- Do Not Modify] kinfocenter5-lang              | Languages for package kinfocenter5       | 5.5.1-74.1 (5.6.1-91.1)   |    5.5 MiB
[Protected -- Do Not Modify] kio-lang                       | Languages for package kio                | 5.18.0-113.1 (5.20.0-123.2) |   10.3 MiB
[Protected -- Do Not Modify] konversation-lang              | Languages for package konversation       | 1.6-17.5 (1.6-17.25)      |    7.9 MiB
[Protected -- Do Not Modify] ksysguard5-lang                | Languages for package ksysguard5         | 5.5.1-69.2 (5.6.1-82.1)   |    1.8 MiB
[Protected -- Do Not Modify] kwin5-lang                     | Languages for package kwin5              | 5.5.1-116.2 (5.6.1-130.1) |    6.8 MiB
[Protected -- Do Not Modify] libQt4Pas5                     | Free Pascal Qt4 Bindings                 | 2.5-1.1                   |    2.2 MiB
[Protected -- Do Not Modify] libksysguard5-lang             | Languages for package libksysguard5      | 5.5.1-66.1 (5.6.1-80.1)   |    3.6 MiB
[Protected -- Do Not Modify] oxygen5-icon-theme-large       | Oxygen Icon Theme                        | 5.17.0-7.1 (5.20.0-13.1)  |   20.6 MiB
[Protected -- Do Not Modify] plasma-nm5-lang                | Languages for package plasma-nm5         | 5.5.1-87.3 (5.6.1-100.1)  |    3.5 MiB
[Protected -- Do Not Modify] plasma5-addons-lang            | Languages for package plasma5-addons     | 5.5.1-73.1 (5.6.1-87.1)   |    5.4 MiB
[Protected -- Do Not Modify] plasma5-desktop-lang           | Languages for package plasma5-desktop    | 5.5.1-125.2 (5.6.1-155.1) |   17.6 MiB
[Protected -- Do Not Modify] plasma5-workspace-lang         | Languages for package plasma5-workspace  | 5.5.1.1-156.1 (5.6.1-192.1) |   15.8 MiB
[Protected -- Do Not Modify] powerdevil5-lang               | Languages for package powerdevil5        | 5.5.1-64.2 (5.6.1-76.1)   |  668.0 KiB
[Protected -- Do Not Modify] wine                           | An MS Windows Emulator                   | 1.9.4-545.1 (1.8.1-6.1)   |  149.6 MiB
[Protected -- Do Not Modify] wine-32bit                     | An MS Windows Emulator                   | 1.9.4-545.1 (1.8.1-6.1)   |  139.8 MiB
[Protected -- Do Not Modify] wine-gecko                     | The Wine specific Gecko HTML renderin... | 2.40-51.1 (2.40-1.1)      |   61.8 MiB
[Taboo -- Never Install] amarok-lang                    | Languages for package amarok             | (2.8.0-47.10)             |   40.5 MiB
[Taboo -- Never Install] convertall-lang                | Languages for package convertall         | (0.6.1-1.1)               |    1.1 MiB
[Taboo -- Never Install] digikam-doc                    | Documentation of Digikam                 | (4.14.0-113.11)           |   25.1 MiB
[Taboo -- Never Install] digikam-lang                   | Languages for package digikam            | (4.14.0-113.11)           |   15.0 MiB
[Taboo -- Never Install] gimp-help                      | Help System Data for GIMP                | (2.8.1-3.7)               |   35.5 MiB
[Taboo -- Never Install] gimp-lang                      | Languages for package gimp               | (2.8.14-2.7)              |   29.8 MiB
[Taboo -- Never Install] gimp-plugin-lqr-lang           | Languages for package gimp-lqr-plugin    | (0.7.2-7.2)               |   84.7 KiB
[Taboo -- Never Install] gnokii-lang                    | Languages for package gnokii             | (0.6.31-15.3)             |  535.8 KiB
[Taboo -- Never Install] gnome-sudoku-lang              | Languages for package gnome-sudoku       | (3.16.0-2.9)              |    5.3 MiB
[Taboo -- Never Install] k3b-lang                       | Languages for package k3b                | (2.0.80+git20160102.1831-10.3) |   15.8 MiB
[Taboo -- Never Install] kipi-plugins-lang              | Languages for package digikam            | (4.14.0-113.11)           |   12.1 MiB
[Taboo -- Never Install] pitivi-lang                    | Languages for package pitivi             | (0.94-7.1)                |    2.4 MiB
[Taboo -- Never Install] shotwell-lang                  | Languages for package shotwell           | (0.22.0+git.20160103-5.1) |    5.4 MiB
[Taboo -- Never Install] smplayer-lang                  | Languages for package smplayer           | (16.4.0-13.1)             |    8.2 MiB
[Taboo -- Never Install] tre-lang                       | Languages for package tre                | (0.8.0_git201402282055-5.2) |   15.0 KiB


Hi
I found my problem but i don’t know solve
i think for me miss QT5.6
because not running startx with root user and show log


hostname: Name or service not known
xauth:  file /root/.serverauth.1668 does not exist


X.Org X Server 1.17.2
Release Date: 2015-06-16
X Protocol Version 11, Revision 0
Build Operating System: openSUSE SUSE LINUX
Current Operating System: Linux linux-Tak 4.1.18-8.gb9ac3b9-default #1 SMP PREEMPT Tue Mar 1 09:57:18 UTC 2016 (b9ac3b9) x86_64
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.1.18-8.gb9ac3b9-default root=UUID=47739cfe-913b-4d2f-9d21-d8bad27b867a ro resume=/dev/sda5 splash=silent quiet showopts
Build Date: 07 March 2016  08:22:28AM
 
Current version of pixman: 0.32.6
    Before reporting problems, check http://wiki.x.org
    to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
    (++) from command line, (!!) notice, (II) informational,
    (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Thu Apr  7 12:18:35 2016
(==) Using config directory: "/etc/X11/xorg.conf.d"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
(II) [KMS] Kernel modesetting enabled.
/etc/X11/xim: Checking whether an input method should be started.
sourcing /etc/sysconfig/language to get the value of INPUT_METHOD
INPUT_METHOD is not set or empty (no user selected input method).
Trying to start a default input method for the locale en_US.UTF-8 ...
There is no default input method for the current locale.
Dummy input method "none" (do not use any fancy input method by default)
kdostartupconfig5: /usr/lib64/libQt5Core.so.5: version `Qt_5.6' not found (required by kdostartupconfig5)
kdostartupconfig5: /usr/lib64/libQt5Core.so.5: version `Qt_5.6' not found (required by /usr/lib64/libKF5ConfigCore.so.5)
kdostartupconfig5: /usr/lib64/libQt5Core.so.5: version `Qt_5.6' not found (required by /usr/lib64/libKF5CoreAddons.so.5)
ksplashqml: /usr/lib64/libQt5Core.so.5: version `Qt_5.6' not found (required by ksplashqml)
ksplashqml: /usr/lib64/libQt5Core.so.5: version `Qt_5.6' not found (required by /usr/lib64/libKF5QuickAddons.so.5)
ksplashqml: /usr/lib64/libQt5Core.so.5: version `Qt_5.6' not found (required by /usr/lib64/libKF5Package.so.5)
ksplashqml: /usr/lib64/libQt5Core.so.5: version `Qt_5.6' not found (required by /usr/lib64/libKF5ConfigCore.so.5)
ksplashqml: /usr/lib64/libQt5Core.so.5: version `Qt_5.6.0_PRIVATE_API' not found (required by /usr/lib64/libKF5Declarative.so.5)
ksplashqml: /usr/lib64/libQt5Core.so.5: version `Qt_5.6' not found (required by /usr/lib64/libKF5Declarative.so.5)
ksplashqml: /usr/lib64/libQt5Core.so.5: version `Qt_5.6' not found (required by /usr/lib64/libKF5CoreAddons.so.5)
ksplashqml: /usr/lib64/libQt5Core.so.5: version `Qt_5.6' not found (required by /usr/lib64/libKF5Archive.so.5)
ksplashqml: /usr/lib64/libQt5Core.so.5: version `Qt_5.6' not found (required by /usr/lib64/libKF5I18n.so.5)
ksplashqml: /usr/lib64/libQt5Core.so.5: version `Qt_5.6' not found (required by /usr/lib64/libKF5KIOWidgets.so.5)
ksplashqml: /usr/lib64/libQt5Core.so.5: version `Qt_5.6' not found (required by /usr/lib64/libKF5IconThemes.so.5)
ksplashqml: /usr/lib64/libQt5Core.so.5: version `Qt_5.6' not found (required by /usr/lib64/libKF5KIOCore.so.5)
ksplashqml: /usr/lib64/libQt5Core.so.5: version `Qt_5.6' not found (required by /usr/lib64/libKF5JobWidgets.so.5)
ksplashqml: /usr/lib64/libQt5Core.so.5: version `Qt_5.6' not found (required by /usr/lib64/libKF5Service.so.5)
ksplashqml: /usr/lib64/libQt5Core.so.5: version `Qt_5.6' not found (required by /usr/lib64/libKF5Completion.so.5)
ksplashqml: /usr/lib64/libQt5Core.so.5: version `Qt_5.6' not found (required by /usr/lib64/libKF5WindowSystem.so.5)
ksplashqml: /usr/lib64/libQt5Core.so.5: version `Qt_5.6' not found (required by /usr/lib64/libKF5ConfigWidgets.so.5)
ksplashqml: /usr/lib64/libQt5Core.so.5: version `Qt_5.6' not found (required by /usr/lib64/libKF5WidgetsAddons.so.5)
ksplashqml: /usr/lib64/libQt5Core.so.5: version `Qt_5.6' not found (required by /usr/lib64/libKF5ConfigGui.so.5)
ksplashqml: /usr/lib64/libQt5Core.so.5: version `Qt_5.6' not found (required by /usr/lib64/libKF5ItemViews.so.5)
ksplashqml: /usr/lib64/libQt5Core.so.5: version `Qt_5.6' not found (required by /usr/lib64/libKF5DBusAddons.so.5)
ksplashqml: /usr/lib64/libQt5Core.so.5: version `Qt_5.6' not found (required by /usr/lib64/libKF5Codecs.so.5)
ksplashqml: /usr/lib64/libQt5Core.so.5: version `Qt_5.6' not found (required by /usr/lib64/libKF5Auth.so.5)
ksplashqml: /usr/lib64/libQt5Core.so.5: version `Qt_5.6' not found (required by /usr/lib64/libKF5GuiAddons.so.5)
startkde: Starting up...
/usr/lib64/libexec/ksyncdbusenv: /usr/lib64/libQt5Core.so.5: version `Qt_5.6' not found (required by /usr/lib64/libexec/ksyncdbusenv)
startkde: Could not sync environment to dbus.
xinit: connection to X server lost

waiting for X server to shut down (II) Server terminated successfully (0). Closing log file.


please help
how to repeat or reinstall miss qt5.6?

I don’t know where you picked up software that requires qt5.6. As far as I know, that isn’t in the standard repos for 42.1.

You could try disabling the repo that isn’t working, and then run

# zypper dup

That will probably get you back to a working system.

Or, as suggested earlier, wait and see if wolfi can comment. He will have a better idea about what’s in that misbehaving repo, and whether it’s a temporary or permanent problem.

now repo list
zypper lr -d


   #  | Alias                               | Name                                    | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                                                                                   | Service
---+-------------------------------------+-----------------------------------------+---------+-----------+---------+----------+--------+---------------------------------------------------------------------------------------------------------------------------------------+-------- 
1 | Frameworks5                         | Frameworks5                             | Yes     | (r ) Yes  | No      |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_Leap_42.1/                                                        |        
 2 | extra                              | extra                                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_42.1/                                                              |        
 3 | home:wolfi323                       | home:wolfi323                           | No      | ----      | No      |   99     | rpm-md | http://download.opensuse.org/repositories/home:/wolfi323:/branches:/KDE:/Frameworks5/openSUSE_Leap_42.1/                              |                                  |        
4 | kde:apps                            | kde:apps                                | No      | ----      | No      |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Applications/openSUSE_Leap_42.1/                                                       |                                                   |        
5 | packman                             | packman                                 | Yes     | (r ) Yes  | No      |   99     | rpm-md | http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_42.1/                                                                    |        
6 | repo-debug                          | openSUSE-Leap-42.1-Debug                | No      | ----      | No      |   99     | NONE   | http://download.opensuse.org/debug/distribution/leap/42.1/repo/oss/                                                                   |        
7 | repo-debug-non-oss                  | openSUSE-Leap-42.1-Debug-Non-Oss        | No      | ----      | No      |   99     | NONE   | http://download.opensuse.org/debug/distribution/leap/42.1/repo/non-oss/                                                               |        
8 | repo-debug-update                   | openSUSE-Leap-42.1-Update-Debug         | No      | ----      | No      |   99     | NONE   | http://download.opensuse.org/debug/update/leap/42.1/oss                                                                               |        
9 | repo-debug-update-non-oss           | openSUSE-Leap-42.1-Update-Debug-Non-Oss | No      | ----      | No      |   99     | NONE   | http://download.opensuse.org/debug/update/leap/42.1/non-oss/                                                                          |        
10 | repo-oss                            | openSUSE-Leap-42.1-Oss                  | Yes     | (r ) Yes  | No      |   99     | yast2  | http://download.opensuse.org/distribution/leap/42.1/repo/oss/                                                                         |        
11 | repo-source                         | openSUSE-Leap-42.1-Source               | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/source/distribution/leap/42.1/repo/oss/                                                                  |        
12 | repo-update                         | openSUSE-Leap-42.1-Update               | Yes     | (r ) Yes  | No      |   99     | rpm-md | http://download.opensuse.org/update/leap/42.1/oss/                                                                                    |        
13 | repo-update-non-oss                 | openSUSE-Leap-42.1-Update-Non-Oss       | Yes     | (r ) Yes  | No      |   99     | rpm-md | http://download.opensuse.org/update/leap/42.1/non-oss/                                                                                |      



when use zypper up
show error


#zypper up
Refreshing service 'Extra'
problem retrieving the repostory index file for service 'Extra':
File './repo/repoindex.xml' not found on medium 'http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_42.1/?cookies=0'
Check if the URI is valid and accessible.

how to fix this error

Hi
Sounds like a common issue, your the second person striking this…
http://forums.opensuse.org/showthread.php?t=516985

Perhaps faulty repo…?

i delete old repo extra and add new mirror repo extra and refresh but still show error

#zypper up
Refreshing service 'Extra'
problem retrieving the repostory index file for service 'Extra':
File './repo/repoindex.xml' not found on medium 'http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_42.1/?cookies=0'
Check if the URI is valid and accessible.

why show this error while i delete old repo extra?

He said: zypper dup, not zypper up.

The “Refreshing service ‘Extra’” bothers me. I have never seen that “service” there. But maybe that’s just a translation issue.

I added that repo, forced a refresh. It looks good. I don’t see any ‘./repo/repoindex.xml’ when checking with a browser. But Yast and zypper seem happy with that repo. Perhaps you have a network connection issue.

Yes, important point. “zypper up” won’t fix his issue. But “zypper dup” should get to a consistent set of packages.

It does not matter to zyyper dup.the same error was

#zypper dup
Warning: You are about to do a distribution upgrade with all enabled repositories. Make sure these repositories are compatible before you continue. See 'man zypper' for more information about this command.
Refreshing service 'Extra'.problem retrieving the repostory index file for service 'Extra': File './repo/repoindex.xml' not found on medium 'http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_42.1/?cookies=0' Check if the URI is valid and accessible.

I’m really confuse.i do not have any problem in connection to internet
and deleted old repo extra and add this repo

zypper ar -f http://ftp5.gwdg.de/pub/opensuse/repositories/KDE:/Extra/openSUSE_Leap_42.1/ TEST

but still have this error

Refreshing service 'Extra'
problem retrieving the repostory index file for service 'Extra':
File './repo/repoindex.xml' not found on medium 'http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_42.1/?cookies=0'
Check if the URI is valid and accessible.

When I look on the web, I do not see a file “./repo/repoindex.xml” in that repo, though perhaps I don’t know where to look.

Here, I am not having any issue:



# zypper -v refresh --force extra
Verbosity: 1
Non-option program arguments: 'extra' 
Initializing Target
Specified repositories: extra 
Forcing raw metadata refresh
Retrieving: repomd.xml ...............................................................................................................................................................................................................[done]
Retrieving: repomd.xml.asc ...........................................................................................................................................................................................................[done]
Retrieving: repomd.xml.key ...........................................................................................................................................................................................................[done]
Retrieving: repomd.xml ...............................................................................................................................................................................................................[done]
  Repository:       extra                                       
  Key Name:         KDE OBS Project <KDE@build.opensuse.org>    
  Key Fingerprint:  4E8E6DE2 961F3083 EAC50086 27C07017 6F88BB2F
  Key Created:      Sun 31 Aug 2014 09:06:11 AM CDT             
  Key Expires:      Tue 08 Nov 2016 08:06:11 AM CST             
  Rpm Name:         gpg-pubkey-6f88bb2f-54032bd3                
Retrieving repository 'extra' metadata ...............................................................................................................................................................................................[done]
Forcing building of repository cache
Building repository 'extra' cache ....................................................................................................................................................................................................[done]
Specified repositories have been refreshed.

for me
zypper -v refresh --force extra


#zypper -v refresh --force extra
Verbosity: 1
Non-option program arguments: 'extra' 
Initializing Target
Specified repositories: extra 
Forcing raw metadata refresh
Retrieving repository 'extra' metadata .Retrieving: repomd.xml ..done]
Retrieving: repomd.xml.asc [done]
Retrieving: repomd.xml.key ..done]
Retrieving: repomd.xml [done]
  Repository:       extra                                       
  Key Name:         KDE OBS Project <KDE@build.opensuse.org>    
  Key Fingerprint:  4E8E6DE2 961F3083 EAC50086 27C07017 6F88BB2F
  Key Created:      Sun Aug 31 18:36:11 2014                    
  Key Expires:      Tue Nov  8 17:36:11 2016                    
  Rpm Name:         gpg-pubkey-6f88bb2f-54032bd3                
done]
Forcing building of repository cache
Building repository 'extra' cache ....done]
Specified repositories have been refreshed.


repo extra don’t have any problem, i dont know .why show this error?

Refreshing service 'Extra'
problem retrieving the repostory index file for service 'Extra':
File './repo/repoindex.xml' not found on medium 'http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_42.1/?cookies=0'
Check if the URI is valid and accessible.

When I google “retrieving the repostory index file for service”, I see that google corrects the spelling from “repostory” to “repository”. Yet you have given that spelling several times. I conclude that you are manually typing rather than using copy/paste. That’s okay, but then I wonder if there are typos elsewhere.

The google links are mostly about network connection problems. On the other hand, your “refresh” seems to indicate that you are able to connect.

I’m not personally familiar with that “service” message. Maybe someone who is familiar can comment.